> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User Preferences



## OpenAPI

````yaml /openapi.json get /v1/users/me/preferences
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/users/me/preferences:
    get:
      tags:
        - User Preferences
      summary: Get User Preferences
      operationId: UserPreferencesController_get_v1
      parameters: []
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserPreferencesResponseDto'
components:
  schemas:
    UserPreferencesResponseDto:
      type: object
      properties:
        locale:
          nullable: true
          enum:
            - en
            - es
            - zh
            - ja
            - fr
            - de
          type: string
        projectList:
          $ref: '#/components/schemas/ProjectListPreferencesDto'
      required:
        - locale
        - projectList
    ProjectListPreferencesDto:
      type: object
      properties:
        view:
          type: string
          enum:
            - list
            - grid
        columns:
          type: array
          items:
            type: string
            enum:
              - createdAt
              - name
              - code
              - status
              - lifecycleStatus
              - sector
              - workType
              - region
              - projectLead
              - plannedStartDate
              - targetEndDate
              - specDisciplines
              - tags
              - members
              - lastOpened
        cardFields:
          type: array
          items:
            type: string
            enum:
              - createdAt
              - name
              - code
              - status
              - lifecycleStatus
              - sector
              - workType
              - region
              - projectLead
              - plannedStartDate
              - targetEndDate
              - specDisciplines
              - tags
              - members
              - lastOpened
      required:
        - view
        - columns
        - cardFields

````